package kr.ac.kaist.pomdp.symbolic.hsvi.ippc2011;

import java.io.Serializable;

import kr.ac.kaist.pomdp.symbolic.perseus.DD;

/**
 * alpha vector class used in lower bound
 * 
 * @author Kanghoon Lee (khlee@ai.kaist.ac.kr)
 * @version 2011.06.26
 * 
 */
public class Alpha implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 5335313937703949282L;

	public int a; // corresponding action ID
	public DD v;
	public DD primedV;
	public boolean dirty; // for pruning
	public int numBackupsCreation; // age of alpha vector
	public DD[] mask; // mask vector
	public int filled; // # of elements of vector b

	// How many node hold this alpha vector for bound
	public java.util.Vector<DD[]> backPointers;

	/**
	 * Alpha constructor
	 */
	public Alpha() {
		mask = null;
		backPointers = new java.util.Vector();
	}

}
