package kr.ac.kaist.pomdp.symbolic.hsvi.ippc2011;

import java.io.Serializable;

/**
 * MaxPlaneData class used in Node class
 * 
 * @author Kanghoon Lee (khlee@ai.kaist.ac.kr)
 * @version 2011.06.26
 *
 */
public class MaxPlaneData implements Serializable {
	private static final long serialVersionUID = -6694707399697333565L;
	
	Alpha bestPlane;
	int lastSetPlaneBackups;
	
	/**
	 * MaxPlaneData constructor
	 */
	public MaxPlaneData() {
		bestPlane = null;
		lastSetPlaneBackups = -1;
	}
}
