package kr.ac.kaist.pomdp.symbolic.perseus;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * cache map
 * 
 * @author Kanghoon Lee (khlee@ai.kaist.ac.kr)
 * @version 2011.06.26
 * 
 */
public class CacheMap extends LinkedHashMap
{
	private static final long serialVersionUID = -3665366133110142009L;

	public int maxCapacity;

	public CacheMap()
	{
		super();
		maxCapacity = 100000;
	}

	public CacheMap(int maxCapacity)
	{
		super();
		this.maxCapacity = maxCapacity;
	}

	protected boolean removeEldestEntry(Map.Entry eldest)
	{
		return size() > maxCapacity;
	}
}
